import 'hammerjs';

import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';


import { AppModule } from './app/app.module';
import { environment } from './environments/environment';


import { EXPOSE_PLUGIN } from './plugin/utils/bb-plugin-util';


import {Inject, Injectable} from '@angular/core';

if (environment.production) {
  enableProdMode();
 }
 
 
 platformBrowserDynamic().bootstrapModule(AppModule)
 .then(exposePlugins)
  .catch(err => console.error(err));
 
 
function exposePlugins(injector: any) {
  console.log('Print inside exposePlugins injector:::::',injector);
  EXPOSE_PLUGIN(injector);
  }
 